package com.iotechn.unimall.data.domain;

import com.iotechn.unimall.data.domain.SuperDO;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;
import com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.Data;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.enums.FieldFill;
import com.iotechn.unimall.core.util.StringUtils;
import java.util.Date;

/**
 * 个人主页对象 personal_homepage_info
 * 
 * @author jlb
 * @date 2023-04-10
 */
@Data
@TableName("personal_homepage_info")
public class PersonalHomepageInfo extends SuperDO {
    private static final long serialVersionUID = 1L;

    /**  */
    @TableId("id")
    private Long id;

    /** 个人id */
    @Excel(name = "个人id")
    @TableField("common_id")
    private Long commonId;

    /** 公司名 */
    @Excel(name = "公司名")
    @TableField("company_name")
    private String companyName;

    /** 公司简介 */
    @Excel(name = "公司简介")
    @TableField("company_introduction")
    private String companyIntroduction;

    /** 业务范围 */
    @Excel(name = "业务范围")
    @TableField("scope_of_business")
    private String scopeOfBusiness;

    /** 公司地址 */
    @Excel(name = "公司地址")
    @TableField("company_address")
    private String companyAddress;

    /** 联系电话 */
    @Excel(name = "联系电话")
    @TableField("phone")
    private String phone;

    /** 传真 */
    @Excel(name = "传真")
    @TableField("portraiture")
    private String portraiture;

    /** 邮箱 */
    @Excel(name = "邮箱")
    @TableField("postbox")
    private String postbox;

    /** 企业风采 */
    @Excel(name = "企业风采")
    @TableField("address_url")
    private String addressUrl;

    /**  */
    @Excel(name = "", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("gmt_create")
    private Date gmtCreate;

    /**  */
    @Excel(name = "", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("gmt_update")
    private Date gmtUpdate;

    /** 删除标识 */
    @Excel(name = "删除标识")
    @TableField("delete_flag")
    private Long deleteFlag;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("commonId", getCommonId())
            .append("companyName", getCompanyName())
            .append("companyIntroduction", getCompanyIntroduction())
            .append("scopeOfBusiness", getScopeOfBusiness())
            .append("companyAddress", getCompanyAddress())
            .append("phone", getPhone())
            .append("portraiture", getPortraiture())
            .append("postbox", getPostbox())
            .append("addressUrl", getAddressUrl())
            .append("gmtCreate", getGmtCreate())
            .append("gmtUpdate", getGmtUpdate())
            .append("deleteFlag", getDeleteFlag())
            .toString();
    }
}
